Bug 16142 - [3.4 Regression]: Gcc 3.4 ICE on valid code
[3.4 Regression]: Gcc 3.4 ICE on valid code
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: target
3.4.1
: P2 normal
: 3.4.2
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks: 16278
  Show dependency treegraph
 
Reported: 2004-06-22 16:57 UTC by H.J. Lu
Modified: 2005-07-23 22:49 UTC (History)
3 users (show)

See Also:
Host: ia64-unknown-linux-gnu
Target: ia64-unknown-linux-gnu
Build: ia64-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-06-22 16:57:19 UTC
[hjl@gnu-4 itanium]$ cat foo2.c
extern int foo (unsigned long);
 
int
bar (unsigned long flags)
{
 struct {
  unsigned long sw;
  unsigned long cr_ipsr;
  unsigned long ar_fpsr;
 } regs;
 asm volatile ("mov %0=psr" : "=r"(regs.cr_ipsr));
 regs.sw = regs.ar_fpsr = ({ unsigned long ia64_intri_res;
                           asm volatile ("mov %0=ar%1" : "=r" (ia64_intri_res) :
"i"(3112 - 3072));
                           ia64_intri_res; });
 return foo (flags | 0x00800000);
}
[hjl@gnu-4 itanium]$ /export/build/gnu/gcc-3.4/build-ia64-linux/gcc/xgcc
-B/export/build/gnu/gcc-3.4/build-ia64-linux/gcc/ -O2 -mtune=itanium
-frename-registers -c foo2.c
foo2.c: In function `bar':
foo2.c:16: internal compiler error: in bundling, at config/ia64/ia64.c:7112
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Comment 1 CVS Commits 2004-07-07 15:11:51 UTC
Subject: Bug 16142

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	vmakarov@gcc.gnu.org	2004-07-07 15:11:44

Modified files:
	gcc            : ChangeLog 
	gcc/config/ia64: ia64.c 

Log message:
	2004-07-07  Vladimir Makarov  <vmakarov@redhat.com>
	
	PR target/16130
	PR target/16142
	PR target/16143
	* config/ia64/ia64.c (ia64_dfa_new_cycle): Reset DFA state for asm
	insn.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.4338&r2=2.4339
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/ia64/ia64.c.diff?cvsroot=gcc&r1=1.297&r2=1.298

Comment 2 CVS Commits 2004-07-07 15:16:02 UTC
Subject: Bug 16142

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	vmakarov@gcc.gnu.org	2004-07-07 15:15:57

Modified files:
	gcc            : ChangeLog 
	gcc/config/ia64: ia64.c 

Log message:
	2004-07-07  Vladimir Makarov  <vmakarov@redhat.com>
	
	PR target/16130
	PR target/16142
	PR target/16143
	* config/ia64/ia64.c (ia64_dfa_new_cycle): Reset DFA state for asm
	insn.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.536&r2=2.2326.2.537
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/ia64/ia64.c.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.265.2.9&r2=1.265.2.10

Comment 3 Andrew Pinski 2004-07-07 15:30:29 UTC
Fixed.